export interface ObjectKey {
    [key: string]: any;
}
export type GetDirs = Array<{
    dirName: string;
    dirPath: string;
}>;
/**
 * @description 是否是文件夹
 * @param path
 * @returns
 */
export declare const isDir: (path: string) => boolean;
/**
 * @description 是否存在文件
 * @param path
 * @returns
 */
export declare const hasFile: (path: string) => boolean;
/**
 * @description 获取所有文件夹
 * @param path
 * @returns
 */
export declare const getDirs: (path: string) => GetDirs;
/**
 * @description 合并配置
 * @param source object
 * @param target object
 * @returns object
 */
export declare function mergeConfig<T extends ObjectKey>(source: ObjectKey, target: T): T;
